Bug 200970 - gnome-applet fails to find the gnomeapplet python module during build
gnome-applet fails to find the gnomeapplet python module during build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 17:14 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 15:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verbose log of make i386 (the build that failed) (1.47 MB, text/plain)
2006-08-01 17:15 EDT, John (J5) Palmieri
no flags Details
Verbose log with configure run manually (success) (1.04 MB, text/plain)
2006-08-01 17:19 EDT, John (J5) Palmieri
no flags Details
Failed strace of the python script for detecting gnomeapplet (208.90 KB, application/octet-stream)
2006-08-01 17:21 EDT, John (J5) Palmieri
no flags Details
Succeeded strace of the python script for detecting gnomeapplet (219.53 KB, text/plain)
2006-08-01 17:23 EDT, John (J5) Palmieri
no flags Details

  None (edit)
Description John (J5) Palmieri 2006-08-01 17:14:00 EDT
Description of problem:

During the ./configure step in brew or locally by running make i386
gnome-applets fails to find the gnomeapplet module causing specific applets to
fail to build.

If I run configure by hand with the same options the module is found and the
apples build fine.   

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. check out gnome-applet from package CVS
2. make sure you satify the BuildRequires
3. make i386
  
Actual results:

stock applet is not built and RPM exits with a packaging error

Expected results:

stock applet is built and RPM produces packages

Additional info:

going into the source directory created by make i386 and running the output of
rpm --eval %configure causes the gnomeapplet module to be found
Comment 1 John (J5) Palmieri 2006-08-01 17:15:59 EDT
Created attachment 133445 [details]
Verbose log of make i386 (the build that failed)
Comment 2 John (J5) Palmieri 2006-08-01 17:19:46 EDT
Created attachment 133447 [details]
Verbose log with configure run manually (success)
Comment 3 John (J5) Palmieri 2006-08-01 17:21:43 EDT
Created attachment 133448 [details]
Failed strace of the python script for detecting gnomeapplet
Comment 4 John (J5) Palmieri 2006-08-01 17:23:08 EDT
Created attachment 133449 [details]
Succeeded strace of the python script for detecting gnomeapplet
Comment 5 Ray Strode [halfline] 2006-08-02 11:44:36 EDT
So Nalin figured this out while sitting in a dentist chair contemplating.

import gtk

requires a display, 

import gnomeapplet 

calls 

import gtk

AM_CHECK_PYMOD in configure.in does 

import gnomeapplet

Note You need to log in before you can comment on or make changes to this bug.